import {
  testSnapshot,
  wrapComponent
} from '../../test-utils'
import MenuLink from './menu-link.vue'

describe('MenuLink', () => {
  it('renders expected snapshots', () => {
    testSnapshot(wrapComponent(MenuLink, {
      propsData: {
        path: '/',
        text: 'Home',
        icon: 'home'
      },
      mocks: {
        $route: {
          path: '/'
        }
      }
    }))
  })
})
